﻿import {useBaseApi} from '/@/api/base';

// 企业类配置表接口服务
export const useFBS_EnterpriseTypeApi = () => {
	const baseApi = useBaseApi("fBS_EnterpriseType");
	return {
		// 分页查询企业类配置表
		page: baseApi.page,
		// 查看企业类配置表详细
		detail: baseApi.detail,
		// 新增企业类配置表
		add: baseApi.add,
		// 更新企业类配置表
		update: baseApi.update,
		// 删除企业类配置表
		delete: baseApi.delete,
		// 批量删除企业类配置表
		batchDelete: baseApi.batchDelete,
		// 导出企业类配置表数据
		exportData: baseApi.exportData,
		// 导入企业类配置表数据
		importData: baseApi.importData,
		// 下载企业类配置表数据导入模板
		downloadTemplate: baseApi.downloadTemplate,
	}
}

// 企业类配置表实体
export interface FBS_EnterpriseType {
	// 主键Id
	id: number;
	// 名称
	name?: string;
	// 代码
	code?: string;
	// 父
	parentId?: number;
	// 租户Id
	tenantId: number;
	// 创建时间
	createTime: string;
	// 更新时间
	updateTime: string;
	// 创建者Id
	createUserId: number;
	// 创建者姓名
	createUserName: string;
	// 修改者Id
	updateUserId: number;
	// 修改者姓名
	updateUserName: string;
}